import { autocompletion, closeBrackets, Completion, CompletionContext, CompletionSource, startCompletion } from "@codemirror/autocomplete";
import { defaultKeymap, history, historyKeymap } from "@codemirror/commands";
import { defaultHighlightStyle, ensureSyntaxTree, HighlightStyle, LanguageSupport, LRLanguage, syntaxHighlighting, syntaxTree } from "@codemirror/language";
import { AnnotationType, EditorState, Extension } from "@codemirror/state";
import type { KeyBinding } from "@codemirror/view";
import { drawSelection, EditorView, highlightSpecialChars, keymap } from "@codemirror/view";
import type { SyntaxNode } from "@lezer/common";
import { Tree } from "@lezer/common";
import { styleTags, tags } from "@lezer/highlight";
export { autocompletion, closeBrackets, startCompletion };
export type { Completion, CompletionContext, CompletionSource };
export { defaultKeymap, history, historyKeymap };
export { defaultHighlightStyle, ensureSyntaxTree, HighlightStyle, LanguageSupport, LRLanguage, syntaxHighlighting, syntaxTree, };
export { AnnotationType, EditorState };
export type { Extension };
export { drawSelection, EditorView, highlightSpecialChars, KeyBinding, keymap };
export { styleTags, tags };
export { SyntaxNode, Tree };
export * from "./codemirror-basic-setup";
export * from "./parser-utils";
export * from "./suggestion-utils";
